Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class AbstractLauncherTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.pde.ui.launcher.AbstractLauncherTab

All Implemented Interfaces:
  ILaunchConfigurationTab

Direct Known Subclasses:
  BundlesTab, ConfigurationTab, MainTab, OSGiSettingsTab, PluginsTab, TracingTab

    public abstract class AbstractLauncherTab

extends AbstractLaunchConfigurationTab

An abstract class subclassed by all PDE tabs.

This class may be subclassed by clients.

Since:
  3.2

Constructor Summary
`AbstractLauncherTab()`

Method Summary
`void` `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`protected void` `createStartingSpace(Composite parent, int span)` Deprecated.
`void` `deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`boolean` `isValid(ILaunchConfiguration config)`
`void` `scheduleUpdateJob()`
`void` `updateLaunchConfigurationDialog()` Validates the page and updates the buttons and message of the launch configuration dialog.
`abstract void` `validateTab()` Validates the data entered on the tab.

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, dispose, getControl, getErrorMessage, getHelpContextId, getId, getImage, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab
`createControl, getName, initializeFrom, performApply, setDefaults`

Constructor Detail

### AbstractLauncherTab

    public AbstractLauncherTab()

Method Detail

### createStartingSpace

    protected void createStartingSpace(Composite parent,
                                       int span)

  Deprecated.

  Creates an empty label and hence a space in the tab

  Parameters:
    `parent` - the parent of the label
    `span` - the span of the label

### isValid

    public boolean isValid(ILaunchConfiguration config)

  Specified by:
    `isValid` in interface `ILaunchConfigurationTab`
  Overrides:
    `isValid` in class `AbstractLaunchConfigurationTab`
  Returns:
    `true` if the tab is valid, `false` otherwise
  See Also:
    `ILaunchConfigurationTab.isValid(org.eclipse.debug.core.ILaunchConfiguration)`

### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

  Specified by:
    `activated` in interface `ILaunchConfigurationTab`
  Overrides:
    `activated` in class `AbstractLaunchConfigurationTab`

### deactivated

    public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

  Specified by:
    `deactivated` in interface `ILaunchConfigurationTab`
  Overrides:
    `deactivated` in class `AbstractLaunchConfigurationTab`

### updateLaunchConfigurationDialog

    public void updateLaunchConfigurationDialog()

  Validates the page and updates the buttons and message of the launch configuration dialog.

  Overrides:
    `updateLaunchConfigurationDialog` in class `AbstractLaunchConfigurationTab`
  See Also:
    `AbstractLaunchConfigurationTab.updateLaunchConfigurationDialog()`

### scheduleUpdateJob

    public void scheduleUpdateJob()

  Overrides:
    `scheduleUpdateJob` in class `AbstractLaunchConfigurationTab`

### validateTab

    public abstract void validateTab()

  Validates the data entered on the tab.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.